Thanks for reading our contribution guidelines! What do you want to do:

* [File a bug / an issue](#filing-issue)
* [Security issues](#security)
* [Contribute to Yoast SEO](#contribute)

<a name="filing-issue"></a>
#Filing issues

__Please Note:__ GitHub is for bug reports and code contributions only - if you have a support question or a request for a customisation don't post here, go to our [Support Forum](http://support.maxserv.com) instead.

## How to write a useful bug report
If you think you have found a bug (we acknowledge that that's a possibility), please make sure you're using the latest version of the plugin. If possible check out the latest version from GitHub and see if the bug still exists there.

A useful bug report explains:

1. What you were trying to achieve.
2. What you were expecting to happen.
3. What actually happened, illustrated with screenshots if possible.

Your bug report should also contain your Magento 2 version and if there are any errors, the _exact_ error text, including line numbers.

### Blank / white screen
If you're getting a blank screen and you report just that, we can do _absolutely_ nothing. You can find those errors in your Magento or PHP errorlog. You can ask your webhosting-partner to get those logs.

That error will help us a lot! Without that error, we're completely in the dark about your problem...

### Interface errors
If you're reporting a bug about specific interface elements not working as expected, there's probably an error showing in your browsers JavaScript console. Please open your browsers console and copy the exact error showing there, or make a screenshot. If you don't know how to open your browsers console, here is info for [Chrome](https://developer.chrome.com/devtools/docs/console) and [Firefox](https://developer.mozilla.org/en/docs/Tools/Web_Console). For IE, some Googling will help but it changes with every version.

<a name="security"></a>
#Security issues
Please do _not_ report security issues here, but email them to support at maxserv dot com so we can deal with them securely and quickly.

<a name="contribute"></a>
#Contribute to Yoast SEO for Magento 2

Community made patches, bug reports and contributions are very welcome and help make Yoast SEO for Magento 2 the #1 SEO plugin for Magento 2.

When contributing please ensure you follow the guidelines below so that we can keep on top of things!

## Getting Started

If there is no ticket for your issue, submit it first, following the above guidelines.

## Making Changes

* Fork the repository on GitHub.
* Make the changes to your forked repository.
* When committing, reference your issue (if present) and include a note about the fix.
* Push the changes to your fork and submit a pull request to the 'master' branch of the Yoast SEO for Magento 2 repository.

At this point you're waiting on us to merge your pull request. We'll review all pull requests, and make suggestions and changes if necessary.

<a name="patch-welcome"></a>
## "Patch welcome" issues

Some issues are labeled "Patch-welcome". This means we see the value in the particular enhancement being suggested but have decided for now not to prioritize it. If you however decide to write a patch for it we'll gladly include it after our code review.

# Additional Resources
* [General GitHub Documentation](http://help.github.com/)
* [GitHub Pull Request documentation](http://help.github.com/send-pull-requests/)
